/***************************************************************************
 *   Copyright (C) 2006 by Oscar Ljunggren   *
 *   oscar.ljunggren@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef EXERCISES_HANDLER_H
#define EXERCISES_HANDLER_H

#include "exercises.h"

class exercises_handler: public manageExercises {
Q_OBJECT
public:
    exercises_handler(QWidget *parent = 0, const char *name = 0);
    

public slots:
    virtual void newButton_clicked();
    virtual void exercisesSettingsChanged();    
    virtual void removeButton_clicked();
};

#endif
