/***************************************************************************
 *   Copyright (C) 2006 by Oscar Ljunggren   *
 *   oscar.ljunggren@gmail.com   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef REPORTS_HANDLER_H
#define REPORTS_HANDLER_H

#include "weeklyreports.h"

class reports_handler: public reports {
Q_OBJECT
public:
    reports_handler(QWidget *parent = 0, const char *name = 0);
    void readFromFile();
    void removeFromFile();
    
public slots:
    virtual void quitButton_clicked();
    virtual void addButton_clicked();
    virtual void removeButton_clicked();
    virtual void settingsChanged();
};

#endif
